@ECHO Off
cd %~dp0

if "%~1"=="" (
    echo バージョンが指定されていません
	PAUSE
    exit /b 1
)

ECHO Revit %1
SET FROM_PATH=%~dp0\%1\
SET ADDIN_PATH=%ProgramData%\Autodesk\Revit\Addins\%1\

REM ブロック解除
powershell -Command "Get-ChildItem ""%FROM_PATH%"" -Recurse | Unblock-File"
IF ERRORLEVEL 1 (
	echo ブロック解除中にエラーが発生しました
	PAUSE
    exit /b 1
)

REM ファイルコピー
XCOPY "%FROM_PATH%." %ADDIN_PATH% /S /Y
IF ERRORLEVEL 1 (
	echo ファイルコピー中にエラーが発生しました
	PAUSE
    exit /b 1
)

ECHO 正常にコピーされました
PAUSE
